package RadioButtons;

import java.awt.*;
import javax.swing.*;


public class RadioButtons extends JPanel
{
  JRadioButton   button;
  ButtonGroup    buttonGroup;
  ImageIcon      checkOff, checkOn;
  
  RadioButtons(JApplet applet)
  {
    setLayout(new GridLayout(2, 3));
        
    // Einfache Radiobuttons mit Text
    buttonGroup = new ButtonGroup();
    button = new JRadioButton("Gut", true);
    button.setMnemonic('G');
    buttonGroup.add(button);
    add(button);
    button = new JRadioButton("Besser");
    button.setMnemonic('B');
    buttonGroup.add(button);
    add(button);
    button = new JRadioButton("Java");
    button.setMnemonic('J');
    buttonGroup.add(button);
    add(button);
    
    // RadioButtons mit Icons und Text
    try
    {
      checkOff = new ImageIcon("radio_off.gif");
      checkOn = new ImageIcon("radio_on.gif");
    }
    catch(SecurityException se)
    {
      checkOff = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "radio_off.gif"));
      checkOn = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "radio_on.gif"));
    }
    buttonGroup = new ButtonGroup();
    button = new JRadioButton("Gut", checkOff);
    button.setSelectedIcon(checkOn);
    button.setSelected(true);
    buttonGroup.add(button);
    add(button);
    button = new JRadioButton("Besser", checkOff);
    button.setSelectedIcon(checkOn);
    buttonGroup.add(button);
    add(button);
    button = new JRadioButton("Java", checkOff);
    button.setSelectedIcon(checkOn);
    buttonGroup.add(button);
    add(button);
  }
}