package textfield;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


public class TextField extends JPanel implements ActionListener
{
  JTextField     textField;

  TextField(JApplet applet)
  {
    setLayout(new GridLayout(0, 1, 10, 10));

    // Ein paar Textfelder
    add(new JTextField("Einfaches Textfeld"));
    add(textField = new JTextField("Textfeld mit rotem Text"));
    textField.addActionListener(this);
    textField.setForeground(Color.red);
    add(textField = new
      JTextField("Textfeld mit trkisfarbenen Hintergrund"));
    textField.setBackground(Color.cyan);
    add(textField = new
      JTextField("Textfeld mit gelben Text und blauen Hintergrund"));
    textField.setForeground(Color.yellow);
    textField.setBackground(Color.blue);
    add(textField = new JTextField("Zentriert"));
    textField.setHorizontalAlignment(SwingConstants.CENTER);
    add(textField = new JTextField("Rechtsbndig"));
    textField.setHorizontalAlignment(SwingConstants.RIGHT);
    add(textField = new JTextField("Courier - Fett und Kursiv"));
    textField.setFont(new Font("Courier", Font.BOLD | Font.ITALIC, 12));
  }

  public void actionPerformed(ActionEvent e)
  {
    System.out.println("ActionEvent");
  }
}