package eigeneslook;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */


import java.awt.*;
import java.awt.event.*;
import java.io.Serializable;

import javax.swing.*;

public class MyButtonListener implements MouseListener,
   MouseMotionListener, Serializable {
 AbstractButton ab;

 public MyButtonListener (JComponent c) {
   ab = (AbstractButton) c;
 }

 public void mouseMoved (MouseEvent e) {
 }

 public void mouseClicked (MouseEvent e) {
 }

 public void mouseDragged (MouseEvent e) {
   ButtonModel bm = ab.getModel();
   if (bm.isPressed()) {
     Graphics g = ab.getGraphics();
     if (g != null) {
       Rectangle r = g.getClipBounds();
       if (r.contains (e.getPoint()))
         bm.setArmed(true);
       else
         bm.setArmed(false);
     }
   }
 }

 public void mousePressed (MouseEvent e) {
   ButtonModel bm = ab.getModel();
   bm.setArmed(true);
   bm.setPressed(true);
 }

 public void mouseReleased (MouseEvent e) {
   ButtonModel bm = ab.getModel();
   bm.setPressed (false);
 }

 public void mouseEntered (MouseEvent e) {
   if (ab.getRolloverIcon() != null)
     ab.getModel().setRollover (true);
 }

 public void mouseExited (MouseEvent e) {
   if (ab.getRolloverIcon() != null)
     ab.getModel().setRollover (false);
 }
}



