package JLabelDemo;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;


public class Labels extends JPanel
{
  ImageIcon      smileIcon;
  JLabel         label;
  EtchedBorder   etchedBorder;  

  
  Labels(JApplet applet)
  {
    setLayout(new GridLayout(0, 2, 5, 5));
    etchedBorder = new EtchedBorder(EtchedBorder.RAISED);
    
    try
    {
      smileIcon = new ImageIcon("smile.gif");
    }
    catch(SecurityException se)      // Fr Internet-Browser
    {
      smileIcon = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "smile.gif"));
    }
        
    add(label = new JLabel("Normales Label"));
    label.setBorder(etchedBorder);
    
    add(label = new JLabel(smileIcon));
    label.setBorder(etchedBorder);
    
    add(label = new JLabel("Links", smileIcon, JLabel.LEFT));
    label.setBorder(etchedBorder);

    add(label = new JLabel("Rechts", smileIcon, JLabel.RIGHT));
    label.setBorder(etchedBorder);
    
    add(label = new JLabel("Links unten", smileIcon,
      JLabel.CENTER));
    label.setHorizontalTextPosition(JLabel.LEFT);
    label.setVerticalTextPosition(JLabel.BOTTOM);
    label.setBorder(etchedBorder);

    add(label = new JLabel("Links oben", smileIcon, JLabel.CENTER));
    label.setHorizontalTextPosition(JLabel.LEFT);
    label.setVerticalTextPosition(JLabel.TOP);
    label.setBorder(etchedBorder);

    add(label = new JLabel("Rechts unten", smileIcon,
      JLabel.CENTER));
    label.setHorizontalTextPosition(JLabel.RIGHT);
    label.setVerticalTextPosition(JLabel.BOTTOM);
    label.setBorder(etchedBorder);

    add(label = new JLabel("Rechts oben", smileIcon,
      JLabel.CENTER));
    label.setHorizontalTextPosition(JLabel.RIGHT);
    label.setVerticalTextPosition(JLabel.TOP);
    label.setBorder(etchedBorder);

    add(label = new JLabel("Drunter", smileIcon, JLabel.CENTER));
    label.setHorizontalTextPosition(JLabel.CENTER);
    label.setVerticalTextPosition(JLabel.BOTTOM);
    label.setBorder(etchedBorder);

    add(label = new JLabel("Drber", smileIcon, JLabel.CENTER));
    label.setHorizontalTextPosition(JLabel.CENTER);
    label.setVerticalTextPosition(JLabel.TOP);
    label.setBorder(etchedBorder);
  }  
}