package RahmenDemo;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;


public class Borders extends JPanel
{
  JLabel         borderLabel;  
  ImageIcon      javaIcon;
  BevelBorder    bevelBorder;
  EtchedBorder   etchedBorder;  
  
  Borders(JApplet applet)
  {
    setLayout(new GridLayout(0, 2, 5, 5));
    
    try
    {
      javaIcon = new ImageIcon("java.gif");
    }
    catch(SecurityException se)  // Fr Internet-Browser
    {
      javaIcon = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "java.gif"));
    }
    
    // BevelBorder - Erhht
    borderLabel = new JLabel("BevelBorder - RAISED");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(
      bevelBorder = new BevelBorder(BevelBorder.RAISED));
    add(borderLabel);

    // BevelBorder - Erniedrigt
    borderLabel = new JLabel("BevelBorder - LOWERED");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new BevelBorder(BevelBorder.LOWERED));
    add(borderLabel);

    // SoftBevelBorder - Erhht
    borderLabel = new JLabel("SoftBevelBorder - RAISED");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new SoftBevelBorder(BevelBorder.RAISED));
    add(borderLabel);

    // SoftBevelBorder - Erniedrigt
    borderLabel = new JLabel("SoftBevelBorder - LOWERED");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new SoftBevelBorder(BevelBorder.LOWERED));
    add(borderLabel);

    // EtchedBorder - Erhht
    borderLabel = new JLabel("EtchedBorder - RAISED");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(
      etchedBorder = new EtchedBorder(EtchedBorder.RAISED));
    add(borderLabel);

    // EtchedBorder - Erniedrigt
    borderLabel = new JLabel("EtchedBorder - LOWERED");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new EtchedBorder(EtchedBorder.LOWERED));
    add(borderLabel);

    // LineBorder - Schwarz - Dicke 1
    borderLabel = new JLabel("LineBorder - Schwarz - Dicke 1");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new LineBorder(Color.black));
    add(borderLabel);

    // LineBorder - Blau - Dicke 4
    borderLabel = new JLabel("LineBorder - Blau - Dicke 4");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new LineBorder(Color.blue, 4));
    add(borderLabel);

    // EmptyBorder
    borderLabel = new JLabel("EmptyBorder");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(new EmptyBorder(0, 0, 3, 3));
    add(borderLabel);

    // MatteBorder 
    borderLabel = new JLabel("MatteBorder");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(
      new MatteBorder(16, 16, 16, 16, javaIcon));
    add(borderLabel);

    // TitledBorder 1 mit BevelBorder
    borderLabel = new JLabel("TitledBorder 1");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(
      new TitledBorder(bevelBorder, "Verwendet BevelBorder"));
    add(borderLabel);

    // TitledBorder 2 mit BevelBorder
    borderLabel = new JLabel("TitledBorder 2");
    borderLabel.setHorizontalAlignment(SwingConstants.CENTER);
    borderLabel.setBorder(
      new TitledBorder(etchedBorder, "Verwendet EtchedBorder",
      TitledBorder.RIGHT, 0,
      new Font("TimesRoman", Font.BOLD, 16)));
    add(borderLabel);
   }  
}