package CheckBoxes;

import java.awt.*;
import javax.swing.*;


public class CheckBoxes extends JPanel
{
  JCheckBox      checkBox;
  ImageIcon      lightOff, lightOn;

  CheckBoxes(JApplet applet)
  {
    setLayout(new GridLayout(2, 3));

    // CheckBoxes mit einfachen Text
    checkBox = new JCheckBox("Messer");
    checkBox.setMnemonic('M');  // Tastenbefehl festlegen
    add(checkBox);
    checkBox = new JCheckBox("Gabel");
    checkBox.setMnemonic('G');
    add(checkBox);
    checkBox = new JCheckBox("Lffel");
    checkBox.setMnemonic('L');
    add(checkBox);

    // CheckBoxes mit Images
    try
    {
      lightOff = new ImageIcon("lightoff.gif");
      lightOn  = new ImageIcon("lighton.gif");
    }
    catch(SecurityException se)
    {
      lightOff = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "lightoff.gif"));
      lightOn = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "lighton.gif"));
    }
    checkBox = new JCheckBox("Messer", lightOff);
    // Ersetzt das Hkchen durch ein Icon
    checkBox.setSelectedIcon(lightOn);
    add(checkBox);
    checkBox = new JCheckBox("Gabel",lightOff);
    checkBox.setSelectedIcon(lightOn);
    add(checkBox);
    checkBox = new JCheckBox("Lffel", lightOff);
    checkBox.setSelectedIcon(lightOn);
    add(checkBox);
  }
}