package ToggleButtons;

import java.awt.*;
import javax.swing.*;


public class ToggleButtons extends JPanel
{
  JPanel         panel;
  JToggleButton  button;
  ButtonGroup    buttonGroup;
  ImageIcon    iAniDino, iDino;
    
  public ToggleButtons(JApplet applet)
  {
    super();
        
    // Erst das Hauptpannel definieren (fr Hintergrund)
    setLayout(new BorderLayout());
   
    // Einfache TooggleButtons mit Text
    panel = new JPanel();
    buttonGroup = new ButtonGroup();
    button = new JToggleButton("Normal", true);
    button.setMnemonic('N');
    buttonGroup.add(button);
    panel.add(button);
    button = new JToggleButton("Fett");
    button.setFont(new Font("Dialog", Font.BOLD, 12));
    button.setMnemonic('F');
    buttonGroup.add(button);
    panel.add(button);
    button = new JToggleButton("Kursiv");
    button.setFont(new Font("Dialog", Font.ITALIC, 12));
    button.setMnemonic('K');
    buttonGroup.add(button);
    panel.add(button);
    button = new JToggleButton("Fett + Kursiv");
    button.setFont(
      new Font("Dialog", Font.BOLD | Font.ITALIC, 12));
    button.setMnemonic('+');
    buttonGroup.add(button);
    panel.add(button);
    
    add("North", panel);
    
    // ToggleButtons mit animierten Icon
    try
    {
      iDino = new ImageIcon("dino.gif");
      iAniDino = new ImageIcon("anidino.gif");
    }
    catch(SecurityException se)
    {
      iDino = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "dino.gif"));
      iAniDino = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "anidino.gif"));
    }
    
    buttonGroup = new ButtonGroup();
    panel = new JPanel();
    
    button = new JToggleButton(iDino);
    // Button auf Bildgre bringen
    button.setMargin(new Insets(0,0,0,0));  
    iDino.setImageObserver(button);
    button.setSelectedIcon(iAniDino);
    button.setSelected(true);
    buttonGroup.add(button);
    panel.add(button);
    
    button = new JToggleButton(iDino);
    // Button auf Bildgre bringen
    button.setMargin(new Insets(0,0,0,0));  
    iDino.setImageObserver(button);
    button.setSelectedIcon(iAniDino);
    buttonGroup.add(button);
    panel.add(button);
    
    button = new JToggleButton(iDino);
    // Button auf Bildgre bringen
    button.setMargin(new Insets(0,0,0,0));  
    iDino.setImageObserver(button);
    button.setSelectedIcon(iAniDino);
    buttonGroup.add(button);
    panel.add(button);
    
    button = new JToggleButton(iDino);
    // Button auf Bildgre bringen
    button.setMargin(new Insets(0,0,0,0));  
    iDino.setImageObserver(button);
    button.setSelectedIcon(iAniDino);
    buttonGroup.add(button);
    panel.add(button);
    
    add("South", panel);
  }
}