package internalframe;

/**
 * Title:        Internal Frame
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.event.*;
import javax.swing.*;


public class SwingBeispiel extends JApplet
{
  public void init()
  {
    System.out.println("InternalFrame hinzufgen");
    getContentPane().add(new InternalFrameBsp(this));

  }

  // Erstellt ein Panel mit Rahmen
  public static void main(String[] args)
  {
    JFrame frame = new JFrame("Swing Beispiel");

    WindowListener l = new WindowAdapter() {
        public void windowClosing(WindowEvent e) {System.exit(0);}
    };
    frame.addWindowListener(l);

    SwingBeispiel sb = new SwingBeispiel();
    frame.getContentPane().add("Center", sb);
    sb.init();
    frame.setSize(800, 600);
    frame.setVisible(true);
    frame.show();
  }
}