package eigeneslook;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class BeispielLookAndFeel extends JPanel {

	public BeispielLookAndFeel () {

   // Create the buttons.
   JButton button = new JButton ("Ein neuer Button");

   ActionListener myListener = new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       String lnfName = null;

       if (e.getActionCommand().equals ("Eigener Look")) {
         lnfName = "MyLookAndFeel";
       } else {
         lnfName =
           "javax.swing.plaf.metal.MetalLookAndFeel";
       }

       try {

         UIManager.setLookAndFeel(lnfName);
         SwingUtilities.updateComponentTreeUI (BeispielLookAndFeel.this);
         //BeispielLookAndFeel.this.validate();
         //BeispielLookAndFeel.this.validate();
       } catch (Exception ex) {
         System.err.println (
          "Wechseln des LookAndFeel " + lnfName +" nicht mglich !!!");
       }
     }
   };

   ButtonGroup group = new ButtonGroup();
   JRadioButton basicButton =
     new JRadioButton ("Metal Look");
   basicButton.setSelected(true);
   basicButton.addActionListener (myListener);
   group.add (basicButton);

   JRadioButton myButton =
     new JRadioButton ("Eigener Look");
   myButton.addActionListener (myListener);
   group.add (myButton);

   add (button);
   add (basicButton);
   add (myButton);
 }
}

