package themen;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.plaf.metal.*;

public class SwingBeispiel extends JFrame {
  public SwingBeispiel() {
    getContentPane().add(new MetalWorks());
    buildMenus();
    //pack();
    show();
  }

  public static void main(String[] args){
    SwingBeispiel frame = new SwingBeispiel();
    frame.setTitle("Definition eigener Themes");
    frame.setSize(300,200);
    //frame.pack();
    frame.setVisible(true);
    frame.setDefaultCloseOperation(EXIT_ON_CLOSE);
  }

  protected void buildMenus() {
    JMenuBar menuBar = new JMenuBar();
    menuBar.setOpaque(true);

    // Themen
    MetalTheme[] themes = { new DefaultMetalTheme(),
			new GreenMetalTheme(),
			new AquaMetalTheme()
			};

    // ab ins Men
    JMenu themeMenu = new ThemeMenu("Themen", themes);
    menuBar.add(buildFileMenu());
    menuBar.add(themeMenu);
    setJMenuBar(menuBar);
  }

  protected JMenu buildFileMenu() {
    JMenu file = new JMenu("File");
    JMenuItem quit = new JMenuItem("Quit");
    quit.addActionListener(new ActionListener() {

      public void actionPerformed(ActionEvent e) {
        System.exit(1);
      }
    });

    file.add(quit);
    return file;
  }
}
