package treecellrender;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;


public class Tree extends JPanel
{
  JTree simpleTree;
  DefaultMutableTreeNode javaRoot;
  DefaultMutableTreeNode classNode;
  JScrollPane scrollPane;


  String    JFCNames[] =
            {"JCheckBox", "JCheckBoxMenuItem", "JComboBox", "JComponent", "JDesktopPane",
             "JDialog", "JEditorPane", "JFrame", "JInternalFrame", "JLabel", "JLayeredPane",
             "JList","JMenu", "JMenuBar", "JMenuItem", "JOptionPane", "JPanel", "JPasswordField",
             "JPopupMenu", "JProgressBar","JRadioButton", "JRadioButtonMenuItem", "JRootPane",
             "JScrollBar", "JScrollPane", "JSeparator", "JSlider", "JSplitPane", "JTabbedPane",
             "JTable", "JTextArea", "JTextField", "etc."};


  Tree(JApplet applet){
    setLayout(new BorderLayout());

    add("North", new JLabel("Konkurrierende Klassen"));

    javaRoot = new DefaultMutableTreeNode("Java Classes");
    javaRoot.add(classNode = new DefaultMutableTreeNode("JFC"));
    for (int i=0; i<33; i++)
      classNode.add(new DefaultMutableTreeNode(JFCNames[i]));
    simpleTree = new JTree(javaRoot);

		simpleTree.setCellRenderer(new SimpleTreeCellRenderer());

		scrollPane = new JScrollPane(simpleTree);
		add("Center", scrollPane);
	}
}