package einfachetabelle;

import java.awt.*;
import javax.swing.*;

/**
 * Title:        Einfache Tabelle
 * Description:  Reihenfolge
 * 1) JFrame mit main() kreieren
 * 2) Designer : JScrollPane als Container hinzufgen
 * 3) Designer: JTabelle hinzufgen
 * 4) Programmcode modifizieren
 * Dann ist die Tabelle inkl Werte auch im Designer sichtbar
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class Tabelle extends JFrame {
  JScrollPane jScrollPane1 = new JScrollPane();
  JTable jTable1;

  public Tabelle() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  public static void main(String[] args) {
    Tabelle tabelle = new Tabelle();
  }
  private void jbInit() throws Exception {
    // modifiziert
    String[ ] columnHeadings = {"Vorname", "Name", "PLTZ", "Ort"};
    String[ ][ ] daten= {
      {"Joller", "Heidi",  "8610", "Uster"},
      {"Joller", "Nicole", "8610", "Uster"},
      {"Joller", "Britta", "8610", "Uster"},
      {"Joller", "Jens", "8610", "Uster"},
      {"Joller", "Josef", "8610", "Uster"}
      };
    jTable1 = new JTable(daten,columnHeadings);
    this.setDefaultCloseOperation(EXIT_ON_CLOSE);
    this.setTitle("Familien Tabelle");
    setVisible(true);

    // Designer
    this.getContentPane().add(jScrollPane1, BorderLayout.CENTER);
    jScrollPane1.getViewport().add(jTable1, null);

    // mod
    this.getContentPane().add(jScrollPane1, null);
    this.pack();

  }
}